GFTYPE(1)

NAME
gftype - verify and translate a generic font (gf) bitmap file to plain text

SYNOPSIS
gftype [-i] [-m] gf_file[gf] [output_file]

DESCRIPTION
The gftype program translates a gf (generic font) bitmap file output by, typically, mf(1), to a file that humans can read. It also serves as a gf file-validating program (i.e., if gftype can read it, it's correct) and as an example of a gf-reading program for other software that wants to read gf files.

The gf_file on the command line must include the resolution, but can omit the suffix "gf". If no output_file is specified, the output goes to stdout.

OPTIONS
See tex(1) for details of command-line parsing.

-images
    Includes ASCII art images of the characters in the output.

-mnemonics
    Include a symbolic listing of the gf commands in the output.

The standard -help and -version options are also supported.

ENVIRONMENT
The program looks for gf_file using the environment variables GFFONTS, GLYPHFONTS, and TEXFONTS, in that order. If none are set, it uses the system default. See the Kpathsea manual at https://tug.org/kpathsea for the details of the searching.

SEE ALSO
dvitype(1), pktype(1).
Donald E. Knuth et al., Metafontware.

Package page on CTAN: https://ctan.org/pkg/gftype
Section in the Web2c manual: https://tug.org/texinfohtml/web2c.html#gftype-invocation
Typeset source code, including file format descriptions: https://ctan.org/pkg/knuth-pdf

AUTHORS
David Fuchs and Don Knuth wrote the program. It was published as part of the Metafontware technical report. Paul Richards originally ported it to Unix.

Public discussion list and bug reports: https://lists.tug.org/tex-k